%define section   devel
%define base_name slide
%define jakarta_version 2.1

Name:           jakarta-%{base_name}-webdavclient
Version:        %{jakarta_version}
Release:        2jpp
Epoch:          0
Summary:        Slide WebDAV client

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/slide/
Source0:        jakarta-slide-webdavclient-src-2.1.tar.gz
Source1:        %{name}.sh
Source2:        jakarta-slide-webdavclient-2.2-WebdavResource.java

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} )
Distribution:   JPackage
Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32, jakarta-commons-httpclient
BuildRequires:  ant >= 0:1.6, antlr
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-transaction
BuildRequires:  geronimo-specs
BuildRequires:  jdom
BuildRequires:  xml-im-exporter
Requires:  jakarta-commons-httpclient
Requires:  jakarta-commons-transaction
Requires:  geronimo-specs
Requires:  jdom
Requires:  xml-im-exporter

%description
Slide includes a fully featured WebDAV client library and command line
client.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -n jakarta-slide-webdavclient-src-2.1
find . -name "*.jar" -exec rm {} \;
#for j in $(find . -name "*.jar"); do
#	mv $j $j.no
#done
cp %{SOURCE2} clientlib/src/java/org/apache/webdav/lib/WebdavResource.java

%build
export CLASSPATH=$(build-classpath \
antlr \
commons-httpclient \
commons-httpclient-contrib \
commons-transaction \
geronimo/spec-j2ee-1.4 \
jdom \
xml-im-exporter \
)
ant -Dbuild.sysclasspath=first


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/webdavclient

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{base_name}
install -pm 644 \
 dist/lib/jakarta-slide-webdavlib-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-webdavlib-%{version}.jar
install -pm 644 \
 dist/lib/jakarta-slide-commandline-%{jakarta_version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-commandline-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/doc/clientjavadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/%{base_name}/*.jar
%{_bindir}/webdavclient

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Sep 05 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-2jpp
- Fix requires

* Wed Aug 24 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-1jpp
- Upgrade to 2.1
- WebdavResource.java backported from 2.2 for commons-vfs

* Sat Sep 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-1jpp
- Upgrade to 2.0 final

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:2.0-0.b1.4jpp
- Rebuild with ant-1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:2.0-0.b1.3jpp
- Upgrade to Ant 1.6.X

* Wed Mar 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-0.b1.2jpp
- Fix build and runtime dependencies.
- Install a working startup script.

* Fri Mar 04 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-0.b1.1jpp
- First JPackage release
